## org.mortbay.jetty.handler
Class ContextHandler.SContext

    java.lang.Object
      org.mortbay.jetty.handler.ContextHandler.SContext

All Implemented Interfaces:
  ServletContext

Direct Known Subclasses:
  Context.SContext

Enclosing class:
  ContextHandler

    public class ContextHandler.SContext

extends Object
implements ServletContext

Context.

Implements `ServletContext` from the `javax.servlet` package.

Author:
  gregw

Constructor Summary
`protected` `ContextHandler.SContext()`

Method Summary
`Object` `getAttribute(String name)`
`Enumeration` `getAttributeNames()`
`ServletContext` `getContext(String uripath)`
`ContextHandler` `getContextHandler()`
`String` `getContextPath()`
`String` `getInitParameter(String name)`
`Enumeration` `getInitParameterNames()`
`int` `getMajorVersion()`
`String` `getMimeType(String file)`
`int` `getMinorVersion()`
`RequestDispatcher` `getNamedDispatcher(String name)`
`String` `getRealPath(String path)`
`RequestDispatcher` `getRequestDispatcher(String uriInContext)`
`URL` `getResource(String path)`
`InputStream` `getResourceAsStream(String path)`
`Set` `getResourcePaths(String path)`
`String` `getServerInfo()`
`Servlet` `getServlet(String name)`
`String` `getServletContextName()`
`Enumeration` `getServletNames()`
`Enumeration` `getServlets()`
`void` `log(Exception exception, String msg)`
`void` `log(String msg)`
`void` `log(String message, Throwable throwable)`
`void` `removeAttribute(String name)`
`void` `setAttribute(String name, Object value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextHandler.SContext

    protected ContextHandler.SContext()

Method Detail

### getContextHandler

    public ContextHandler getContextHandler()

### getContext

    public ServletContext getContext(String uripath)

  Specified by:
    `getContext` in interface `ServletContext`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `ServletContext`

### getMimeType

    public String getMimeType(String file)

  Specified by:
    `getMimeType` in interface `ServletContext`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `ServletContext`

### getNamedDispatcher

    public RequestDispatcher getNamedDispatcher(String name)

  Specified by:
    `getNamedDispatcher` in interface `ServletContext`

### getRealPath

    public String getRealPath(String path)

  Specified by:
    `getRealPath` in interface `ServletContext`

### getRequestDispatcher

    public RequestDispatcher getRequestDispatcher(String uriInContext)

  Specified by:
    `getRequestDispatcher` in interface `ServletContext`

### getResource

    public URL getResource(String path)
                    throws MalformedURLException

  Specified by:
    `getResource` in interface `ServletContext`
  Throws:
    `MalformedURLException`

### getResourceAsStream

    public InputStream getResourceAsStream(String path)

  Specified by:
    `getResourceAsStream` in interface `ServletContext`

### getResourcePaths

    public Set getResourcePaths(String path)

  Specified by:
    `getResourcePaths` in interface `ServletContext`

### getServerInfo

    public String getServerInfo()

  Specified by:
    `getServerInfo` in interface `ServletContext`

### getServlet

    public Servlet getServlet(String name)
                       throws ServletException

  Specified by:
    `getServlet` in interface `ServletContext`
  Throws:
    `ServletException`

### getServletNames

    public Enumeration getServletNames()

  Specified by:
    `getServletNames` in interface `ServletContext`

### getServlets

    public Enumeration getServlets()

  Specified by:
    `getServlets` in interface `ServletContext`

### log

    public void log(Exception exception,
                    String msg)

  Specified by:
    `log` in interface `ServletContext`

### log

    public void log(String msg)

  Specified by:
    `log` in interface `ServletContext`

### log

    public void log(String message,
                    Throwable throwable)

  Specified by:
    `log` in interface `ServletContext`

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in interface `ServletContext`

### getInitParameterNames

    public Enumeration getInitParameterNames()

  Specified by:
    `getInitParameterNames` in interface `ServletContext`

### getAttribute

    public Object getAttribute(String name)

  Specified by:
    `getAttribute` in interface `ServletContext`

### getAttributeNames

    public Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `ServletContext`

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Specified by:
    `setAttribute` in interface `ServletContext`

### removeAttribute

    public void removeAttribute(String name)

  Specified by:
    `removeAttribute` in interface `ServletContext`

### getServletContextName

    public String getServletContextName()

  Specified by:
    `getServletContextName` in interface `ServletContext`

### getContextPath

    public String getContextPath()

  Specified by:
    `getContextPath` in interface `ServletContext`
  Returns:
    Returns the _contextPath.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.